# NCollection_DefineDoubleMap.hxx File Reference

`#include <NCollection_DefineBaseCollection.hxx>`
`#include <NCollection_DoubleMap.hxx>`

## Defines

#define | DEFINE_DOUBLEMAP(_ClassName_, _BaseCollection_, TheKey1Type, TheKey2Type) typedef NCollection_DoubleMap <TheKey1Type, TheKey2Type > _ClassName_;

## Define Documentation

#define DEFINE_DOUBLEMAP | ( | _ClassName_,
|  | _BaseCollection_,
|  | TheKey1Type,
|  | TheKey2Type |  | ) | typedef NCollection_DoubleMap <TheKey1Type, TheKey2Type > _ClassName_;